net.ME1312.SubServers.Client.Bukkit.Event

## Class SubRemoveServerEvent

- java.lang.Object
- - org.bukkit.event.Event
  - - net.ME1312.SubServers.Client.Bukkit.Event.SubRemoveServerEvent

All Implemented Interfaces:
  SubEvent

    public class SubRemoveServerEvent
    extends org.bukkit.event.Event
    implements SubEvent

### Nested Class Summary

### Nested classes/interfaces inherited from class org.bukkit.event.Event

`org.bukkit.event.Event.Result`

### Constructor Summary

Constructors
Constructor and Description
`SubRemoveServerEvent(java.util.UUID player, java.lang.String host, java.lang.String server)` Server Add Event

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.bukkit.event.HandlerList` `getHandlerList()`
`org.bukkit.event.HandlerList` `getHandlers()`
`java.lang.String` `getHost()` Gets the Host of the Server
`java.util.UUID` `getPlayer()` Gets the player that triggered the Event
`java.lang.String` `getServer()` Gets the Server to be Added

### Methods inherited from class org.bukkit.event.Event

`getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubRemoveServerEvent

    public SubRemoveServerEvent(java.util.UUID player,
                                java.lang.String host,
                                java.lang.String server)

Server Add Event

Parameters:
  `player` - Player Adding Server
  `server` - Server Starting

### Method Detail

#### getServer

    public java.lang.String getServer()

Gets the Server to be Added

Returns:
  The Server to be Added

#### getHost

    public java.lang.String getHost()

Gets the Host of the Server

Returns:
  The Host of the Server or null if isn't a SubServer

#### getPlayer

    public java.util.UUID getPlayer()

Gets the player that triggered the Event

Returns:
  The Player that triggered this Event or null if Console

#### getHandlers

    public org.bukkit.event.HandlerList getHandlers()

Specified by:
  `getHandlers` in class `org.bukkit.event.Event`

#### getHandlerList

    public static org.bukkit.event.HandlerList getHandlerList()